Up

# NSBox

### Authors

Scott Christley (`scottc@net-community.com`)

> Simple box view that can display a border and title

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSBox class

## NSBox : NSView

> Declared in:
>   AppKit/NSBox.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -borderRect
- -borderType
- -contentView
- -contentViewMargins
- -minimumSize
- -setBorderType:
- -setContentView:
- -setContentViewMargins:
- -setFrameFromContentFrame:
- -setTitle:
- -setTitleFont:
- -setTitlePosition:
- -setTitleWithMnemonic:
- -sizeToFit
- -title
- -titleCell
- -titleFont
- -titlePosition
- -titleRect

### borderRect

- (NSRect) borderRect;

Description forthcoming.

### borderType

- (NSBorderType) borderType;

Description forthcoming.

### contentView

- (id) contentView;

Description forthcoming.

### contentViewMargins

- (NSSize) contentViewMargins;

Description forthcoming.

### minimumSize

- (NSSize) minimumSize;

Description forthcoming.

### setBorderType:

- (void) setBorderType: (NSBorderType)aType;

Description forthcoming.

### setContentView:

- (void) setContentView: (NSView*)aView;

Description forthcoming.

### setContentViewMargins:

- (void) setContentViewMargins: (NSSize)offsetSize;

Description forthcoming.

### setFrameFromContentFrame:

- (void) setFrameFromContentFrame: (NSRect)contentFrame;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setTitleFont:

- (void) setTitleFont: (NSFont*)fontObj;

Description forthcoming.

### setTitlePosition:

- (void) setTitlePosition: (NSTitlePosition)aPosition;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### sizeToFit

- (void) sizeToFit;

Description forthcoming.

### title

- (NSString*) title;

Description forthcoming.

### titleCell

- (id) titleCell;

Description forthcoming.

### titleFont

- (NSFont*) titleFont;

Description forthcoming.

### titlePosition

- (NSTitlePosition) titlePosition;

Description forthcoming.

### titleRect

- (NSRect) titleRect;

Description forthcoming.

Up